/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : pi sty 10 21:05:38 CET 2003
    copyright            : (C) 2003 by Anatol Ogrek
    email                : mroova@linux.net.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "ksubeditor.h"

static const char *description =
	I18N_NOOP("Ksubeditor");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "ksubeditor", I18N_NOOP("Ksubeditor"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2000, Anatol Ogrek", 0, 0, "mroova@linux.net.pl");
	aboutData.addAuthor("Anatol Ogrek",I18N_NOOP("Maintainer"), "mroova@linux.net.pl");
	
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KsubeditorApp);
  }
  else 
  {
    KsubeditorApp *testmdi = new KsubeditorApp();
    testmdi->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
			for(int i=0;i<args->count();i++)
			{
        testmdi->openDocumentFile(args->arg(i));
		  }
		}
		else
		{
		  //testmdi->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
