/***************************************************************************
                          microdvd.h  -  description
                             -------------------
    begin                : pi? sty 10 2003
    copyright            : (C) 2003 by Anatol Ogrek
    email                : mroova@linux.net.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MICRODVD_H
#define MICRODVD_H

#include <subtitles.h>
#include "new_fps.h"
#include "change_fps.h"

#include <klistview.h>

/**
  *@author Anatol Ogrek
  */

class microDVD : public subtitles  {
public: 
	microDVD();
	~microDVD();
  /** No descriptions */
  int load(QString filename);
  /** No descriptions */
   microDVD(KListView * Lista);
  /** No descriptions */
  bool ChangeFPS();
  /** No descriptions */
  int moveTime(int secs,bool one);
public: // Public attributes
  /**  */
  new_fps * set_new_fps;
  /**  */

  change_fps * convert_fps;
  /**  */
  bool save(QString filename);
  /**  */
  bool checkLine(QListViewItem *line); 
  /** No descriptions */
  bool checkSorted(QListViewItem *item);
  /** No descriptions */
  bool convert(int dest,KListView *ListView,int fps = 0);
  /** No descriptions */
  QString currentPosition(QListViewItem *item);
  /** No descriptions */
  bool moveMs(int secs, bool one);
  /** No descriptions */
  void setColumns();


    public: void setRenaming();
};

#endif
