#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './configure.ui'
**
** Created: Mon Jul 28 06:38:01 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configure.h"

#include <qvariant.h>
#include <kurlrequester.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a configure as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
configure::configure( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "configure" );
    configureLayout = new QGridLayout( this, 1, 1, 11, 6, "configureLayout"); 

    Layout2 = new QVBoxLayout( 0, 0, 6, "Layout2"); 

    TabWidget3 = new QTabWidget( this, "TabWidget3" );
    TabWidget3->setMinimumSize( QSize( 200, 0 ) );

    tab = new QWidget( TabWidget3, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    Layout4 = new QVBoxLayout( 0, 0, 6, "Layout4"); 

    GroupBox1 = new QGroupBox( tab, "GroupBox1" );
    GroupBox1->setCursor( QCursor( 0 ) );

    mplayer = new KURLRequester( GroupBox1, "mplayer" );
    mplayer->setGeometry( QRect( 10, 20, 451, 26 ) );
    Layout4->addWidget( GroupBox1 );

    GroupBox2 = new QGroupBox( tab, "GroupBox2" );
    GroupBox2->setColumnLayout(0, Qt::Vertical );
    GroupBox2->layout()->setSpacing( 6 );
    GroupBox2->layout()->setMargin( 11 );
    GroupBox2Layout = new QHBoxLayout( GroupBox2->layout() );
    GroupBox2Layout->setAlignment( Qt::AlignTop );

    Layout3 = new QHBoxLayout( 0, 0, 6, "Layout3"); 

    TextLabel1 = new QLabel( GroupBox2, "TextLabel1" );
    Layout3->addWidget( TextLabel1 );

    encoding = new QComboBox( FALSE, GroupBox2, "encoding" );
    Layout3->addWidget( encoding );
    GroupBox2Layout->addLayout( Layout3 );
    Layout4->addWidget( GroupBox2 );

    tabLayout->addLayout( Layout4, 0, 0 );
    TabWidget3->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( TabWidget3, "tab_2" );
    tabLayout_2 = new QGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    Layout9 = new QVBoxLayout( 0, 0, 6, "Layout9"); 

    Layout5 = new QHBoxLayout( 0, 0, 6, "Layout5"); 

    TextLabel1_2 = new QLabel( tab_2, "TextLabel1_2" );
    Layout5->addWidget( TextLabel1_2 );

    move_SRT = new QSpinBox( tab_2, "move_SRT" );
    move_SRT->setMaxValue( 999 );
    move_SRT->setMinValue( 1 );
    Layout5->addWidget( move_SRT );
    Layout9->addLayout( Layout5 );

    Layout8 = new QHBoxLayout( 0, 0, 6, "Layout8"); 

    TextLabel2 = new QLabel( tab_2, "TextLabel2" );
    Layout8->addWidget( TextLabel2 );

    move_MicroDVD = new QSpinBox( tab_2, "move_MicroDVD" );
    move_MicroDVD->setMaxValue( 1000 );
    move_MicroDVD->setMinValue( 1 );
    Layout8->addWidget( move_MicroDVD );
    Layout9->addLayout( Layout8 );

    tabLayout_2->addLayout( Layout9, 0, 0 );
    TabWidget3->insertTab( tab_2, QString::fromLatin1("") );

    tab_3 = new QWidget( TabWidget3, "tab_3" );
    tabLayout_3 = new QGridLayout( tab_3, 1, 1, 11, 6, "tabLayout_3"); 

    Frame3 = new QFrame( tab_3, "Frame3" );
    Frame3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 7, 6, Frame3->sizePolicy().hasHeightForWidth() ) );
    Frame3->setFrameShape( QFrame::StyledPanel );
    Frame3->setFrameShadow( QFrame::Raised );

    tabLayout_3->addWidget( Frame3, 0, 0 );
    TabWidget3->insertTab( tab_3, QString::fromLatin1("") );
    Layout2->addWidget( TabWidget3 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    Defaults = new QPushButton( this, "Defaults" );
    Layout1->addWidget( Defaults );
    Spacer1 = new QSpacerItem( 20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Spacer1 );

    Cancel = new QPushButton( this, "Cancel" );
    Layout1->addWidget( Cancel );

    Ok = new QPushButton( this, "Ok" );
    Layout1->addWidget( Ok );
    Layout2->addLayout( Layout1 );

    configureLayout->addLayout( Layout2, 0, 0 );
    languageChange();
    resize( QSize(523, 413).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( Ok, SIGNAL( released() ), this, SLOT( accept() ) );
    connect( Cancel, SIGNAL( released() ), this, SLOT( close() ) );
    connect( Defaults, SIGNAL( pressed() ), this, SLOT( GlobalDefaults() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
configure::~configure()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void configure::languageChange()
{
    setCaption( tr2i18n( "Ksubeditor configuration" ) );
    GroupBox1->setTitle( tr2i18n( "Path to Mplayer" ) );
    GroupBox2->setTitle( tr2i18n( "Default font enconding" ) );
    TextLabel1->setText( tr2i18n( "Choose your encoding:" ) );
    TabWidget3->changeTab( tab, tr2i18n( "Global" ) );
    TextLabel1_2->setText( tr2i18n( "Amount of miliseconds to move in SRT:" ) );
    TextLabel2->setText( tr2i18n( "Amount of frames to move in MicroDVD" ) );
    TabWidget3->changeTab( tab_2, tr2i18n( "Constants" ) );
    TabWidget3->changeTab( tab_3, tr2i18n( "Spell Checking" ) );
    Defaults->setText( tr2i18n( "Defaults" ) );
    Cancel->setText( tr2i18n( "Cancel" ) );
    Ok->setText( tr2i18n( "Ok" ) );
}

void configure::GlobalDefaults()
{
    qWarning( "configure::GlobalDefaults(): Not implemented yet" );
}

#include "configure.moc"
